org.crosswire.jsword.book.sword

## Class SwordDailyDevotion

- java.lang.Object
- - org.crosswire.jsword.book.basic.AbstractBook
  - - org.crosswire.jsword.book.sword.SwordDictionary
    - - org.crosswire.jsword.book.sword.SwordDailyDevotion

- All Implemented Interfaces:
    Comparable<Book>, Activatable, Book, PreferredKey

      public class SwordDailyDevotion
      extends SwordDictionary
      implements PreferredKey

  A book that has a preferred key of today's date.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwordDailyDevotion(SwordBookMetaData sbmd, Backend backend)` Construct an SwordDailyDevotion given the BookMetaData and the AbstractBackend.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Key` | `getPreferred()` What Key would this object like us to use?

    - ### Methods inherited from class org.crosswire.jsword.book.sword.SwordDictionary

      `contains, createEmptyKeyList, getGlobalKeyList, getKey, getOsis, getOsisIterator, getRawText, getValidKey, isWritable, setAliasKey, setRawText`

    - ### Methods inherited from class org.crosswire.jsword.book.basic.AbstractBook

      `activate, addIndexStatusListener, compareTo, deactivate, equals, find, find, firePropertyChange, getAbbreviation, getBackend, getBook, getBookCategory, getBookMetaData, getDriver, getDriverName, getIndexStatus, getInitials, getLanguage, getName, getOsisID, getProperty, getPropertyKeys, getScope, getUnlockKey, hasFeature, hashCode, isEnciphered, isLeftToRight, isLocked, isQuestionable, isSupported, match, putProperty, putProperty, removeIndexStatusListener, setBookMetaData, setIndexStatus, toOSIS, toString, unlock`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SwordDailyDevotion

          public SwordDailyDevotion(SwordBookMetaData sbmd,
                            Backend backend)

      Construct an SwordDailyDevotion given the BookMetaData and the AbstractBackend.
      Parameters:
        `sbmd` - the metadata that describes the book
        `backend` - the means by which the resource is accessed

  - ### Method Detail

    - #### getPreferred

          public Key getPreferred()

      Description copied from interface: `PreferredKey`
      What Key would this object like us to use?
      Specified by:
        `getPreferred` in interface `PreferredKey`
      Returns:
        The preferredKey